View Issue Details

IDProjectCategoryLast Update
0020802AI War 2[All Projects] Gameplay IssueDec 5, 2018 5:51 pm
ReporterAvenger1649Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.807 Cyber Command 
Fixed in Version0.808 Custom Stacks 
Summary0020802: Carrier Spawning Broken
DescriptionI've noticed that Carrier starships will stop spawning drones if they are rebuilt after being destroyed.
Only the first Carrier built out of every mark level will spawn drones, when they are destroyed any replacements constructed after that will not spawn V-Wing or Fusion Bomber Drones.
TagsNo tags attached.
Internal WeightNew

Relationships

related to 0020418 resolvedx4000Bughunter Carrier Starship not Spawning Drones 

Activities

Super Corgi

Nov 30, 2018 7:40 pm

reporter   ~0050568

I've found some more specifics about what happens here. Posted on the forums but figured I should post here.

When the game is launched, every carrier produced will be a functioning carrier UNTIL any carrier at all is destroyed. Once a carrier has been destroyed, from that moment until the client is fully closed, any carriers produced during this time will never spawn drones. This applies across different saves as long as the game is not closed. Destroying a carrier includes scrapping it or normally being destroyed from an enemy (not sure about zombified, but probably also counts as destroyed).

For example, start the game with a save where MkII carriers are researched but none are currently built. Building two carriers creates two normal carriers. Destroy one carrier and build one carrier. The carrier built before one was destroyed functions fine, but the new carrier will not produce drones. Destroy both carriers and build two carriers. Neither work.
Destroy both carriers, save and quit before any new ones are built, and close the game. Start the game back up and build two carriers. These carriers now function fine again, but the issue repeats as soon as any are destroyed.

This also applies to any faction, like the AI ship that spawns meele drones. Once destroyed, any future Meele Carriers (forget what they're called) will not spawn drones (except from their feature where they spawn 15 drones when destroyed). Also if a carrier is zombified, the zombie carriers will follow the same issue once one is destroyed.

BadgerBadger

Dec 5, 2018 5:51 pm

manager   ~0050581

Fixed

Issue History

Date Modified Username Field Change
Nov 28, 2018 5:39 am Avenger1649 New Issue
Nov 30, 2018 7:40 pm Super Corgi Note Added: 0050568
Dec 3, 2018 10:52 am Dune Relationship added related to 0020418
Dec 3, 2018 10:52 am Dune Assigned To => x4000Bughunter
Dec 3, 2018 10:52 am Dune Status new => assigned
Dec 5, 2018 5:51 pm BadgerBadger Status assigned => resolved
Dec 5, 2018 5:51 pm BadgerBadger Resolution open => fixed
Dec 5, 2018 5:51 pm BadgerBadger Fixed in Version => 0.808 Custom Stacks
Dec 5, 2018 5:51 pm BadgerBadger Internal Weight => New
Dec 5, 2018 5:51 pm BadgerBadger Note Added: 0050581